# Alarms Priority
high_priority = ["ALTA_PRIORIDADE","PRIORITY_HIGH"]
medium_priority = ["MEDIA_PRIORIDADE", "PRIORITY_MEDIUM"]
low_priority = ["BAIXA_PRIORIDADE", "PRIORITY_LOW"]


# Alarms Code
unknown = ["UNKOWN", "DESCONHECIDO"]
apnea = ["APNEA", "APNEIA"]
check_valve_exhale = ["CHECK_VALVE_EXHALE", "VERIFICAR_VALVULA_EXPIRATORIA"]
expiration_sense_fault_or_leak = ["EXPIRATION_SENSE_FAULT_OR_LEAK", "SENSOR_FALHA_OU_VAZAMENTO_EXPIRATORIO"]
expiration_valve_leak = ["EXPIRATION_VALVE_LEAK", "VAZAMENTO_VALVULA_EXPIRATORIA"]
high_fio2 = ["HIGH_FIO2", "FIO2_ALTO"]
high_pressure = ["HIGH_PRESSURE", "PRESSAO_ALTA"]
high_rr = ["HIGH_RR", "FR_TOTAL_ALTA"]
low_vte = ["LOW_VTE", "VTE_BAIXO"]
low_vti = ["LOW_VTI", "VTI_BAIXO"]
occlusion = ["OCCLUSION", "OCLUSAO"]
low_peep = ["LOW_PEEP", "PEEP_BAIXO"]
check_p_patient = ["CHECK_P_PATIENT", "VERIFICAR_PPICO"]
high_vte = ["HIGH_VTE", "VTE_ALTO"]
high_vti = ["HIGH_VTI", "VTI_ALTO"]
low_fio2 = ["LOW_FIO2", "FIO2_BAIXO"]
high_peep = ["HIGH_PEEP", "PEEP_ALTO"]
intentional_stop = ["INTENTIONAL_STOP", "PARADA_INTENCIONAL"]
low_battery = ["LOW_BATTERY", "BATERIA_BAIXA"]
ac_power_disconnection = ["AC_POWER_DISCONNECTION", "ALIMENTACAO_DESCONECTADA"]
battery_fault_srvc = ["BATTERY_FAULT_SRVC", "FALHA_SERVICO_BATERIA"]
battery_charge = ["BATTERY_CHARGE", "BATERIA_SEM_CARGA"]
air_fail = ["AIR_FAIL", "FALHA_AR"]
o2_fail = ["O2_FAIL", "FALHA_O2"]
pressure_sensor_fault = ["PRESSURE_SENSOR_FAULT", "FALHA_SENSOR_PRESSAO"]
arduino_fail = ["ARDUINO_FAIL", "FALHA_HARDWARE"]
alarm_test = ["ALARM_TEST", "TESTE_ALARME"]
high_vme = ["HIGH_VME", "VME_ALTO"]
low_vme = ["LOW_VME", "VME_BAIXO"]
high_vmi = ["HIGH_VMI", "VMI_ALTO"]
high_vmi = ["HIGH_VMI", "VMI_ALTO"]
low_vmi = ["LOW_VMI", "VMI_BAIXO"]
extended_high_pressure = ["EXTENDED_HIGH_PRESSURE", "PRESSAO_ALTA_MANTIDA"]
alarms_count = ["ALARMS_COUNT", "QUANTIDADE_ALARMES"]


def localisation_alarms_priority(text):
    if text in high_priority:
        return "PRIORITY_HIGH"
    elif text in medium_priority:
        return "PRIORITY_MEDIUM"
    elif text in low_priority:
        return "PRIORITY_LOW"
    return 0


def localisation_alarms_code(text):
    if text in unknown:
        return "UNKOWN"
    elif text in apnea:
        return "APNEA"
    elif text in check_valve_exhale:
        return "CHECK_VALVE_EXHALE"
    elif text in expiration_sense_fault_or_leak:
        return "EXPIRATION_SENSE_FAULT_OR_LEAK"
    elif text in expiration_valve_leak:
        return "EXPIRATION_VALVE_LEAK"
    elif text in high_fio2:
        return "HIGH_FIO2"
    elif text in high_pressure:
        return "HIGH_PRESSURE"
    elif text in high_rr:
        return "HIGH_RR"
    elif text in low_vte:
        return "LOW_VTE"
    elif text in low_vti:
        return "LOW_VTI"
    elif text in occlusion:
        return "OCCLUSION"
    elif text in low_peep:
        return "LOW_PEEP"
    elif text in check_p_patient:
        return "CHECK_P_PATIENT"
    elif text in high_vte:
        return "HIGH_VTE"
    elif text in high_vti:
        return "HIGH_VTI"
    elif text in low_fio2:
        return "LOW_FIO2"
    elif text in high_peep:
        return "HIGH_PEEP"
    elif text in intentional_stop:
        return "INTENTIONAL_STOP"
    elif text in low_battery:
        return "LOW_BATTERY"
    elif text in ac_power_disconnection:
        return "AC_POWER_DISCONNECTION"
    elif text in battery_fault_srvc:
        return "BATTERY_FAULT_SRVC"
    elif text in battery_charge:
        return "BATTERY_CHARGE"
    elif text in air_fail:
        return "AIR_FAIL"
    elif text in o2_fail:
        return "O2_FAIL"
    elif text in pressure_sensor_fault:
        return "PRESSURE_SENSOR_FAULT"
    elif text in arduino_fail:
        return "ARDUINO_FAIL"
    elif text in alarm_test:
        return "ALARM_TEST"
    elif text in high_vme:
        return "HIGH_VME"
    elif text in low_vme:
        return "LOW_VME"
    elif text in high_vmi:
        return "HIGH_VMI"
    elif text in low_vmi:
        return "LOW_VMI"
    elif text in extended_high_pressure:
        return "EXTENDED_HIGH_PRESSURE"
    elif text in alarms_count:
        return "ALARMS_COUNT"
    return 0
